cdist-backup/cdist
Dennis Camera 766198912d [type/__sshd_config] Produce error if invalid config file is generated
Previously, cdist would silently swallow the error (no invalid config file was
generated).

Reason: `set -e` does not exit if a command in a sub-command group fails,
it merely returns with a non-zero exit status.

e.g. the following snippet does not abort the script if sshd -t returns with a
non-zero exit status:

    set -e
    cmp -s old new || {
        # check config file and update it
        sshd -t -f new \
        && cat new >old
    }

or compressed:

    set -e
    false || { false && true; }
    echo $?
    # prints 1
2021-01-05 15:50:21 +01:00
..
conf [type/__sshd_config] Produce error if invalid config file is generated 2021-01-05 15:50:21 +01:00
core Merge branch 'lint/py3-classes' into 'master' 2020-06-21 17:54:56 +02:00
exec Do not subclass object 2020-06-21 16:53:47 +02:00
preos/debootstrap Merge branch 'lint/py3-classes' into 'master' 2020-06-21 17:54:56 +02:00
scan pycodestyle fixes 2020-11-03 06:43:57 +01:00
sphinxext Fix man build failure in newer sphinx versions 2020-06-01 20:22:40 +02:00
test Deal with deprecation of imp module. 2020-12-06 20:24:00 +01:00
util Remove annoying warnings 2020-06-27 15:55:57 +02:00
__init__.py Make pycodestyle pipeline happy 2020-11-11 14:44:44 +01:00
argparse.py pycodestyle fixes 2020-11-03 06:43:57 +01:00
autil.py Add archiving support. 2017-08-09 16:56:02 +02:00
banner.py Some pylint cleaning. 2017-08-22 10:58:30 +02:00
config.py Clarify stdin input 2020-09-21 09:04:05 +02:00
configuration.py Restrict colored_output value to always/never/auto. 2020-06-06 13:45:31 +02:00
emulator.py [cdist.emulator] Fix setting of log level (tests OK) 2020-11-11 15:16:33 +01:00
flock.py Fix emulator colored logging 2020-06-11 14:16:37 +02:00
hostsource.py Do not subclass object 2020-06-21 16:53:47 +02:00
info.py Merge branch 'lint/py3-classes' into 'master' 2020-06-21 17:54:56 +02:00
install.py Merge branch 'lint/no-python-shebangs' into 'master' 2020-06-21 17:53:44 +02:00
integration.py Fix paths to cdist executable 2020-11-11 15:05:04 +01:00
inventory.py Clarify stdin input 2020-09-21 09:04:05 +02:00
log.py Merge branch 'lint/no-python-shebangs' into 'master' 2020-06-21 17:53:44 +02:00
message.py Do not subclass object 2020-06-21 16:53:47 +02:00
mputil.py Further improve parallel execution. 2017-07-26 17:39:07 +02:00
preos.py Do not subclass object 2020-06-21 16:53:47 +02:00
shell.py Do not subclass object 2020-06-21 16:53:47 +02:00